summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJames Henstridge <james@daa.com.au>2003-03-20 10:38:40 +0000
committerPadraig O'Briain <padraigo@src.gnome.org>2003-03-20 10:38:40 +0000
commitf0877d207290ffee0f0a6f770b744cd45eab4c69 (patch)
tree1ad65e134764319fbeca85a874760d9610f30c9d /autogen.sh
parentc74d3981026bbac6575bfca6406b102e06083a70 (diff)
downloadatk-f0877d207290ffee0f0a6f770b744cd45eab4c69.tar.gz
update to call automake-1.7, libtoolize, gtkdocize and glib-gettextize.
2003-03-20 James Henstridge <james@daa.com.au> * autogen.sh: update to call automake-1.7, libtoolize, gtkdocize and glib-gettextize. * configure.in: cleanup to make use of newer autoconf/automake features. * Makefile.am: get rid of custom distcheck rule, which is no longer necessary. * atk/Makefile.am: cleanup makefile. Use BUILT_SOURCES for built sources. * docs/Makefile.am: use common gtk-doc.make. * docs/atk-docs.sgml: update to use gtk-doc's XML mode.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh57
1 files changed, 31 insertions, 26 deletions
diff --git a/autogen.sh b/autogen.sh
index 916bea9..524c558 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -13,8 +13,8 @@ FILE=atk/atk.h
DIE=0
have_libtool=false
-if libtool --version < /dev/null > /dev/null 2>&1 ; then
- libtool_version=`libtoolize --version | libtoolize --version | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
+if libtoolize --version < /dev/null > /dev/null 2>&1 ; then
+ libtool_version=`libtoolize --version | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
case $libtool_version in
1.4*)
have_libtool=true
@@ -25,36 +25,37 @@ if $have_libtool ; then : ; else
echo
echo "You must have libtool 1.4 installed to compile $PROJECT."
echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
DIE=1
fi
+(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have gtk-doc installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
+ echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
+ DIE=1
+}
+
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $PROJECT."
echo "libtool the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
DIE=1
}
-have_automake=false
-if automake-1.4 --version < /dev/null > /dev/null 2>&1 ; then
- automake_version=`automake-1.4 --version | grep 'automake (GNU automake)' | sed 's/^[^0-9]*\(.*\)/\1/'`
- case $automake_version in
- 1.2*|1.3*|1.4)
- ;;
- *)
- have_automake=true
- ;;
- esac
-fi
-if $have_automake ; then : ; else
- echo
- echo "You must have automake 1.4-p6 installed to compile $PROJECT."
- echo "Get ftp://ftp.gnu.org/pub/gnu/automake/automake-1.4-p6.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
+if automake-1.7 --version < /dev/null > /dev/null 2>&1 ; then
+ AUTOMAKE=automake-1.7
+ ACLOCAL=aclocal-1.7
+else
+ echo
+ echo "You must have automake 1.7.x installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
+ echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+ DIE=1
fi
+
if test "$DIE" -eq 1; then
exit 1
@@ -92,13 +93,17 @@ if test -z "$ACLOCAL_FLAGS"; then
done
fi
-aclocal-1.4 $ACLOCAL_FLAGS
+$ACLOCAL $ACLOCAL_FLAGS || exit 1
+
+libtoolize --force || exit 1
+gtkdocize || exit 1
+
+glib-gettextize --force || exit 1
-# optionally feature autoheader
-(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
+autoheader || exit 1
-automake-1.4 -a $am_opt
-autoconf
+$AUTOMAKE --add-missing || exit 1
+autoconf || exit 1
cd $ORIGDIR
if test -z "$AUTOGEN_SUBDIR_MODE"; then